<?php
/**
 * XNoScriptMessage class file.
 *
 * @author Stefan Volkmar <volkmar_yii@email.de>
 * @version 1.0
 * @license BSD
 */

/** 
 *
 * This widget create a message if javascript isn't enabled in the browser
 *
 * @author Stefan Volkmar <volkmar_yii@email.de>
 */

class XNoScriptMessage extends CWidget
{
	/**
	 * @var mixed the CSS file used for the widget.
	 * If false, the default CSS file will be used. Otherwise, the specified CSS file
	 * will be included when using this widget.
	 */
	public $cssFile=false;

	/**
	 * Initializes the widget.
	 * This method registers all needed client scripts 
	 */
	public function init()
	{
		$baseUrl = CHtml::asset(dirname(__FILE__).DIRECTORY_SEPARATOR.'assets');
		$cssUrl = ($this->cssFile!==false) ? $this->cssFile : $baseUrl.'/XNoScriptMessage.css';
		Yii::app()->getClientScript()->registerCssFile($cssUrl);
		echo <<<HTML
<script type="text/javascript"><!--
document.write('<!' + '--');
//--></script>
<noscript>
	<div id="no-javascript">
HTML;
	}

	/**
	 * Renders the close tag of the element.
	 */
	public function run()
	{
		echo <<<HTML
	</div>
</noscript>
<script type="text/javascript"><!--
document.write('--'+'>');
//--></script>
HTML;
	}
}